org.kie.internal.conf

## Enum SequentialAgendaOption

- java.lang.Object
- - java.lang.Enum<SequentialAgendaOption>
  - - org.kie.internal.conf.SequentialAgendaOption

- All Implemented Interfaces:
    Serializable, Comparable<SequentialAgendaOption>, org.kie.api.conf.KieBaseOption, org.kie.api.conf.Option, org.kie.api.conf.SingleValueKieBaseOption

      public enum SequentialAgendaOption
      extends Enum<SequentialAgendaOption>
      implements org.kie.api.conf.SingleValueKieBaseOption

  An Enum for SequentialAgenda option. drools.sequential.agenda = <sequential|dynamic> DEFAULT = sequential

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DYNAMIC`
    `SEQUENTIAL`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROPERTY_NAME` The property name for the sequential mode option

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPropertyName()`
    `static SequentialAgendaOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SequentialAgendaOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SEQUENTIAL

          public static final SequentialAgendaOption SEQUENTIAL

    - #### DYNAMIC

          public static final SequentialAgendaOption DYNAMIC

  - ### Field Detail

    - #### PROPERTY_NAME

          public static final String PROPERTY_NAME

      The property name for the sequential mode option
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static SequentialAgendaOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SequentialAgendaOption c : SequentialAgendaOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SequentialAgendaOption valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getPropertyName

          public String getPropertyName()

      Specified by:
        `getPropertyName` in interface `org.kie.api.conf.Option`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.